Ogre::TerrainGroup::RayResult Struct Reference

Result from a terrain ray intersection with the terrain group. More...

`#include <OgreTerrainGroup.h>`

List of all members.

## Public Member Functions

| RayResult (bool _hit, Terrain *_terrain, const Vector3 &_pos)

## Public Attributes

bool | hit
| Whether an intersection occurred.
Terrain * | terrain
| Which terrain instance was hit, if any.
Vector3 | position
| Position at which the intersection occurred.

## Detailed Description

Result from a terrain ray intersection with the terrain group.

Definition at line 376 of file OgreTerrainGroup.h.

## Constructor & Destructor Documentation

Ogre::TerrainGroup::RayResult::RayResult | ( | bool | _hit,
|  | Terrain * | _terrain,
|  | const Vector3 & | _pos
| ) |  |

Definition at line 385 of file OgreTerrainGroup.h.

## Member Data Documentation

bool Ogre::TerrainGroup::RayResult::hit

Whether an intersection occurred.

Definition at line 379 of file OgreTerrainGroup.h.

Vector3 Ogre::TerrainGroup::RayResult::position

Position at which the intersection occurred.

Definition at line 383 of file OgreTerrainGroup.h.

Terrain* Ogre::TerrainGroup::RayResult::terrain

Which terrain instance was hit, if any.

Definition at line 381 of file OgreTerrainGroup.h.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:44